jQuery(function() {
	jQuery("<select />").appendTo("#navigation nav");
	jQuery("<option />", {
		"selected": "selected",
		"value"   : "",
		"html"    : 'Click to navigate'
	})
	.appendTo("#navigation nav select");
	jQuery("#navigation nav a").each(function() {
		var el = jQuery(this);
		jQuery("<option />", {
			"value"   : el.attr("href"),
			"text"    : el.text()
		})
		.appendTo("#navigation nav select");
	});
	jQuery("#navigation nav select").change(function() {
		window.location = jQuery(this).find("option:selected").val();
	});
});